Subject: Bug reports

From: Lewis Creary <[email-masked]>
Date: Fri, 20 Oct 2023 21:42:25 +0000 (UTC)

I'm reporting a bug in Gnu emacs lisp, but I'm also reporting a bug in theprocess of reporting emacs lisp bugs.  This first bug consists in the factthat, in bug reports sent using M-x report-emacs-bug, my email address ([email-masked], in the "from:" field of the email), would have been mangled into a somewhat similar, but different, address in the process of submitting the report.  As a result, any acknowledgment email intended for me (but sent to the mangled address) would not reach me, but wouldinstead generate a "no such person" mailing error.
The main bug I'm reporting consists in the fact that recently, when I triedto test the lisp function displayed just below, I triggered the lisp errormessage "`let' bindings can have only one value-form", when it is clear from inspection of the let* form in question that no such bug exists.  The let* form in question does have just one value-form, the lisp variable   eight-powr-sum..
(defun octal-to-dec (n)  (let* ((oct-str {number-to-string n)         (octal-digits (string-to-reverse-numlist oct-str))         (oct-digit nil)         (eight-powr-term-val 0)         (eight-powr-sum 0)         (indx 0)         (while-nil-val (while (<= indx (length octal-digits))            (setq oct-digit (nth indx octal-digits)                 eight-powr-term-val (* oct-digit (expt 8 indx))                 eight-powr-sum (+ eight-powr-sum eight-powr-term-val)                 indx (1+ index) ))) ) ; end of let-variables     eight-powr-sum )))
Subject: 29.1; "lisp error when there is no error"
In GNU Emacs 29.1 (build 2, x86_64-w64-mingw32) of 2023-08-02 built on AVALONWindowing system distributor 'Microsoft Corp.', version 10.0.22621System Description: Microsoft Windows 10 Home (v10.0.2009.22621.2428)
Configured using: 'configure --with-modules --without-dbus --with-native-compilation=aot --without-compress-install --with-tree-sitter CFLAGS=-O2'
Configured features:ACL GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES NATIVE_COMPNOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFFTOOLKIT_SCROLL_BARS TREE_SITTER WEBP XPM ZLIB
(NATIVE_COMP present but libgccjit not available)
Important settings:  value of $LANG: ENU  locale-coding-system: cp1252
Major mode: ELisp/d